#
# spec file for package kexec-tools
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           kexec-tools
%ifarch ppc
BuildRequires:  gcc-64bit glibc-devel-64bit
%endif
License:        GPLv2+
Group:          System/Kernel
Requires:       perl-Bootloader
PreReq:         %insserv_prereq %fillup_prereq
AutoReqProv:    on
Summary:        Tools for fast kernel loading
Version:        2.0.2
Release:        5
Source:         %{name}-%{version}.tar.bz2
Source1:        kexec-bootloader
Source2:        kexec-bootloader.8.txt
Source3:        kexec.init
Source4:        %{name}-%{version}-rpmlintrc
Patch0:         %{name}-no-vga-output.diff
Patch1:         %{name}-xen-static.diff
Patch2:         gcc-no-undefined-flag-fix.patch
Url:            ftp://kernel.org/pub/linux/utils/kernel/kexec/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#!BuildIgnore:  fop
BuildRequires:  zlib-devel
%if 0%{?suse_version} >= 1110
BuildRequires:  asciidoc libxslt
%endif
%ifarch         %ix86 x86_64
BuildRequires:  xen-devel
%endif
ExclusiveArch:  %ix86 x86_64 ia64 ppc ppc64 s390 s390x arm sh mips mipsel

%description
Kexec is a user space utility for loading another kernel and asking the
currently running kernel to do something with it. A currently running
kernel may be asked to start the loaded kernel on reboot, or to start
the loaded kernel after it panics.



Authors:
--------
    Eric Biederman <ebiederm@xmission.com>
    Albert Herranz
    Jesse Barnes <jbarnes@sgi.com>
    Khalid Aziz <khalid.aziz@hp.com>
    Hariprasad Nellitheertha <hari@in.ibm.com>
    Tim Deegan <tjd21@cl.cam.ac.uk>

%prep
%setup -q -n kexec-tools-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
# disable as-needed
export SUSE_ASNEEDED=0
%{?suse_update_config -f}
%ifarch ia64
RPM_OPT_FLAGS=$(echo $RPM_OPT_FLAGS | sed -e 's/-fstack-protector//')
%endif
autoreconf -f
CFLAGS=$RPM_OPT_FLAGS BUILD_CFLAGS=$RPM_OPT_FLAGS \
./configure \
	--prefix=/ \
%ifarch ppc
        --host=powerpc64-suse-linux \
        --build=powerpc64-suse-linux \
%endif
	--sbindir=/sbin \
	--libdir=/%_lib || true
make
# manpage
cp %{S:1} .
cp %{S:2} .
cp %{S:3} .
%if 0%{?suse_version} >= 1110
a2x -d manpage -f manpage kexec-bootloader.8.txt
%endif

%install
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
install -c -m 0644 kexec/kexec.8 $RPM_BUILD_ROOT%{_mandir}/man8
%if 0%{?suse_version} >= 1110
install -c -m 0644 kexec-bootloader.8 $RPM_BUILD_ROOT%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
install -m 0755 kexec-bootloader $RPM_BUILD_ROOT%{_sbindir}
mkdir -p ${RPM_BUILD_ROOT}/etc/init.d
install -m 0755 kexec.init ${RPM_BUILD_ROOT}/etc/init.d/kexec
%endif

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
%if 0%{?suse_version} >= 1110

%post
%{fillup_and_insserv -n kexec kexec}
%endif
#
#%preun

%postun
%if 0%{?suse_version} >= 1110
%insserv_cleanup
%endif

%files
%defattr(-, root, root)
%doc AUTHORS COPYING News TODO doc
%doc %{_mandir}/man*/*
/sbin/*
%if 0%{?suse_version} >= 1110
%{_sbindir}/kexec-bootloader
/etc/init.d/kexec
%config /etc/init.d/kexec
%endif
%ifarch %ix86 x86_64
/%_lib/kexec-tools*
%endif

%changelog
